import request from '@/utils/request'

export function listQuestionDetail(query) {
  return request({
    url: '/questionDetail/list',
    method: 'get',
    params: query
  })
}

export function createQuestionDetail(data) {
  return request({
    url: '/questionDetail/create',
    method: 'post',
    data
  })
}

export function readQuestionDetail(data) {
  return request({
    url: '/questionDetail/read',
    method: 'get',
    data
  })
}

export function updateQuestionDetail(data) {
  return request({
    url: '/questionDetail/update',
    method: 'post',
    data
  })
}

export function deleteQuestionDetail(data) {
  return request({
    url: '/questionDetail/delete',
    method: 'post',
    data
  })
}
